## wand 0.6.11

=== docs/requirements.txt ===
Sphinx==4.0.1
readthedocs-sphinx-search==0.1.0

=== debian/changelog ===
wand (0.6.11-3ubuntu1) noble; urgency=medium

  * Hard-code t64 shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 16:29:50 +0100

wand (0.6.11-3build1) noble; urgency=high

  * No change rebuild against libmagickwand-6.q16-7t64, libmagickwand-
    6.q16hdri-7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:03 +0100

wand (0.6.11-3) unstable; urgency=medium

  [ Stephan Lachnit ]
  * debian/control: recommend libmagickcore-extra package.

  [ Håvard F. Aasen ]
  * Change BD to libmagickwand-dev. Closes: #1054436
  * Update metadata for latest patch.
  * Update runtime dependencies to the latest imagemagick SONAME.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 27 Oct 2023 07:08:11 +0200

wand (0.6.11-2) unstable; urgency=medium

  * Add patch from upstream to fix FTBFS with sphinx 7.1. Closes: #1042684

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 31 Jul 2023 07:30:29 +0200

wand (0.6.11-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update copyright year for upstream.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 28 Jan 2023 08:37:35 +0100

wand (0.6.10-2) unstable; urgency=medium

  * Update privacy breach fix with mathjax. This removes
    dvipng and texlive-latex-extra as BD and changes patch
    doc-privacy-breach.patch -> use-local-mathjax.patch
  * Remove 'nodoc' build profile.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Add the year 2023 to my debian/* copyright notice.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 13 Jan 2023 16:12:48 +0100

wand (0.6.10-1) unstable; urgency=medium

  * New upstream release.
  * wand-doc: Drop documentation link to long removed Python 2 package.
  * Stop building pypy package. Closes: #1023022

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 29 Oct 2022 14:42:23 +0200

=== debian/control ===
Source: wand
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends: debhelper-compat (=13),
               dh-python,
               libmagickwand-dev,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/emcconville/wand
Vcs-Git: https://salsa.debian.org/debian/wand.git
Vcs-Browser: https://salsa.debian.org/debian/wand

Package: python3-wand
Architecture: all
Depends: libmagickwand-6.q16-7t64 | libmagickwand-6.q16hdri-7t64,
         ${misc:Depends},
         ${python3:Depends},
Recommends: libmagickcore-6.q16-7-extra,
Suggests: wand-doc,
Description: Python interface for ImageMagick library (Python 3)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for Python 3.

Package: wand-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python interface for ImageMagick library (documentation)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This package includes documentation for Wand.

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-pytest,
         python3-wand,

## wand 0.6.13

=== docs/requirements.txt ===
Sphinx==7.2.6
readthedocs-sphinx-search==0.3.1

=== debian/changelog ===
wand (0.6.13-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update Standards-Version to 4.7.1, no changes needed.
  * Update copyright year for myself.
  * Add lintian override for missing dependency on pyproject.toml.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 22 Feb 2025 09:59:42 +0100

wand (0.6.11-5) unstable; urgency=medium

  * Change dependency to unversioned ImageMagick, fixes build against
    ImageMagick version 7. Closes: #1086936
  * Update Standards-Version to 4.7.0, no changes needed

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 08 Nov 2024 06:56:56 +0100

wand (0.6.11-4) unstable; urgency=medium

  * Change BD libmagickwand-dev -> imagemagick-6.q16.
  * Don't depend on specific library packages. This changes dependencies to
    imagemagick-6.q16.
  * Change autopkgtest to use 'autopkgtest-pkg-pybuild'.
  * Build documentation with intersphinx and Python 3 docs.
  * Update copyright year on myself.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 24 Mar 2024 16:21:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: wand
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (=13),
                dh-python,
-               libmagickwand-dev,
+               imagemagick,
                python3-all,
+               python3-doc <!nodoc>,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/emcconville/wand
 Vcs-Git: https://salsa.debian.org/debian/wand.git
 Vcs-Browser: https://salsa.debian.org/debian/wand
 
 Package: python3-wand
 Architecture: all
-Depends: libmagickwand-6.q16-7t64 | libmagickwand-6.q16hdri-7t64,
+Depends: imagemagick,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: libmagickcore-6.q16-7-extra,
 Suggests: wand-doc,
 Description: Python interface for ImageMagick library (Python 3)
  Wand is a ctypes-based simple ImageMagick binding for Python. All

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wand-$1\.tar\.gz/ \
https://github.com/emcconville/wand/tags .*/v?(\d\S+)\.tar\.gz

## wand 0.7.0

=== debian/changelog ===
wand (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update Standards-Versions to 4.7.3:
    - Remove 'Priority' field, value is now default.
  * Remove RRR, value is now default.
  * Update d/watch file to version 5.
  * Bump copyright year on self and upstream maintainer.
  * Update to pyproject build dependency.
  * Clean source after build, ensures building twice in a row.
  * Run wrap-and-sort with 'asbkt' arguments.
  * Update Salsa CI pipeline.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 02 Mar 2026 22:27:17 +0100

=== debian/control ===
Source: wand
Section: python
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 imagemagick,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc <!nodoc>,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/emcconville/wand
Vcs-Git: https://salsa.debian.org/debian/wand.git
Vcs-Browser: https://salsa.debian.org/debian/wand

Package: python3-wand
Architecture: all
Depends:
 imagemagick,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 wand-doc,
Description: Python interface for ImageMagick library (Python 3)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for Python 3.

Package: wand-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python interface for ImageMagick library (documentation)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This package includes documentation for Wand.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=wand

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

execute_after_dh_auto_build:
	$(MAKE) -C $(CURDIR)/docs html

execute_after_dh_auto_clean:
	$(MAKE) -C $(CURDIR)/docs clean
	rm -rf $(CURDIR)/docs/_build

=== debian/watch ===
Version: 5

Template: GitHub
Owner: emcconville
Project: wand
